<mat-accordion class="editor-config" style="margin: 10px;">
    <mat-expansion-panel>
        <mat-expansion-panel-header>
            <mat-panel-title class="primary">
                {{'lang.documentsEditors' | translate}}
            </mat-panel-title>
        </mat-expansion-panel-header>
        <mat-tab-group>
            <mat-tab *ngFor="let editor of editorsEnabled; let i=index" [label]="editor">
                <app-maarch-message [content]="'lang.'+editor+'Desc' | translate"></app-maarch-message>
                <ng-container *ngFor="let info of editorsConf[editor] | keyvalue: originalOrder">
                    <mat-form-field *ngIf="info.key !== 'ssl'" appearance="outline">
                        <mat-label>{{'lang.' + info.key | translate}}</mat-label>
                        <input matInput [type]="info.key === 'port' ? 'number' : 'text'"
                            [formControl]="editorsConf[editor][info.key]">
                    </mat-form-field>
                    <mat-slide-toggle style="height:40px;" *ngIf="info.key === 'ssl'" color="primary"
                        [formControl]="editorsConf[editor][info.key]">{{'lang.' + info.key | translate}}
                    </mat-slide-toggle>
                </ng-container>
                <div style="display: flex;justify-content: center;">
                    <button mat-button color="warn" mat-raised-button (click)="removeEditor(i)">
                        {{'lang.disableEditor' | translate}}
                    </button>
                </div>
            </mat-tab>
            <mat-tab disabled>
                <ng-template mat-tab-label>
                    <button mat-button (click)="$event.stopPropagation()" color="primary" [matMenuTriggerFor]="menu"
                        [disabled]="allEditorsEnabled()">
                        <i class="fa fa-plus"></i>
                        {{'lang.configureNewEditor' | translate}}</button>
                    <mat-menu #menu="matMenu">
                        <button mat-menu-item *ngFor="let editor of getAvailableEditors()"
                            (click)="addEditor(editor)">{{editor}}</button>
                    </mat-menu>
                </ng-template>
            </mat-tab>
        </mat-tab-group>
    </mat-expansion-panel>
    <mat-expansion-panel>
        <mat-expansion-panel-header>
            <mat-panel-title class="primary">
                {{'lang.documentsWatermark' | translate}}
            </mat-panel-title>
        </mat-expansion-panel-header>
        <mat-slide-toggle style="height:40px;" color="primary" [formControl]="watermark.enabled">
            {{(watermark.enabled.value ? 'lang.enabled' : 'lang.disabled') | translate}}
        </mat-slide-toggle>
        <mat-form-field appearance="outline">
            <mat-label>{{'lang.content' |translate}}</mat-label>
            <input matInput type="text" [formControl]="watermark.text">
            <mat-hint align="end" [innerHTML]="'lang.watermarkContentDesc' | translate"></mat-hint>
        </mat-form-field>
        <div class="formType" style="margin-top: 20px;">
            <div class="formType-title">
                {{'lang.style' | translate}}
            </div>
            <div
                style="padding-top: 1.25em;width: 100%;display: grid;grid-template-columns: 1fr 1fr auto;grid-gap: 10px;">
                <plugin-select-search [id]="'font'" [label]="'lang.font' | translate" [class]="''"
                    [placeholderLabel]="'lang.chooseValue' | translate" [formControlSelect]="watermark.font"
                    [datas]="fonts" [showLabel]="true" style="width:100%;">
                </plugin-select-search>
                <mat-form-field>
                    <mat-label>{{'lang.size' |translate}}</mat-label>
                    <input matInput type="number" [formControl]="watermark.size">
                    <span matSuffix class="input-suffix">px</span>
                </mat-form-field>
                <button mat-icon-button matSuffix [title]="'lang.color' | translate" (click)="$event.stopPropagation()"
                    [matMenuTriggerFor]="menuColor">
                    <mat-icon class="fa fa-circle"
                        [style.color]="'rgb('+watermark.color.value[0]+', '+watermark.color.value[1]+', '+watermark.color.value[2]+')'">
                    </mat-icon>
                </button>
                <mat-menu #menuColor="matMenu">
                    <color-github [color]="{ r: watermark.color[0], g: watermark.color[1], b: watermark.color[2] }"
                        width="100%" [colors]="colors" [triangle]="'hide'" (onChangeComplete)="handleChange($event)">
                    </color-github>
                </mat-menu>
            </div>
        </div>
        <div class="formType" style="margin-top: 20px;">
            <div class="formType-title">
                {{'lang.position' | translate}}
            </div>
            <div
                style="padding-top: 1.25em;width: 100%;display: grid;grid-template-columns: repeat(4, 1fr);grid-gap: 10px;">
                <mat-form-field>
                    <mat-label>{{'lang.xAxe' | translate}}</mat-label>
                    <input matInput type="number" [formControl]="watermark.posX">
                    <span matSuffix class="input-suffix">px</span>
                </mat-form-field>
                <mat-form-field>
                    <mat-label>{{'lang.yAxe' | translate}}</mat-label>
                    <input matInput type="number" [formControl]="watermark.posY">
                    <span matSuffix class="input-suffix">px</span>
                </mat-form-field>
                <mat-form-field>
                    <mat-label>{{'lang.angle' | translate}}</mat-label>
                    <input matInput type="number" [formControl]="watermark.angle">
                    <span matSuffix class="input-suffix">deg</span>
                </mat-form-field>
                <mat-form-field>
                    <mat-label>{{'lang.opacity' | translate}}</mat-label>
                    <input matInput type="number" step="0.1" min="0" lang="en" [formControl]="watermark.opacity">
                </mat-form-field>
            </div>
        </div>
    </mat-expansion-panel>
    <mat-expansion-panel>
        <mat-expansion-panel-header>
            <mat-panel-title class="primary">
                {{'lang.outlookSendingModule' | translate}}
            </mat-panel-title>
        </mat-expansion-panel-header>
        <app-maarch-message [content]="'lang.outlookSendingModuleDesc' | translate" style="margin-bottom: 10px;"></app-maarch-message>
        <plugin-select-search [id]="'indexingModelId'" [label]="'lang.indexingModel' | translate" [class]="''"
            [placeholderLabel]="'lang.chooseValue' | translate" [formControlSelect]="addinOutlookConf.indexingModelId"
            [datas]="indexingModels" [showLabel]="true" style="width:100%;">
        </plugin-select-search>
        <plugin-select-search [id]="'typeId'" [label]="'lang.typeId' | translate" [class]="''"
            [placeholderLabel]="'lang.chooseValue' | translate" [formControlSelect]="addinOutlookConf.typeId"
            [datas]="doctypes" [showLabel]="true" style="width:100%;">
        </plugin-select-search>
        <plugin-select-search [id]="'statusId'" [label]="'lang.status' | translate" [class]="''"
            [placeholderLabel]="'lang.chooseValue' | translate" [formControlSelect]="addinOutlookConf.statusId"
            [datas]="statuses" [showLabel]="true" style="width:100%;">
        </plugin-select-search>
        <plugin-select-search [id]="'attachmentTypeId'" [label]="'lang.attachmentTypeOutlook' | translate" [class]="''"
            [placeholderLabel]="'lang.chooseValue' | translate" [formControlSelect]="addinOutlookConf.attachmentTypeId"
            [datas]="attachmentsTypes" [showLabel]="true" style="width:100%;">
        </plugin-select-search>
    </mat-expansion-panel>
    <!-- EDISSYUM - AMO01 - Rajout d'une option -> mettre PJ dans mail via liens éphémères - onglet nextcloud dans paramètres-->
    <mat-expansion-panel>
        <mat-expansion-panel-header>
            <mat-panel-title class="primary">
                {{'lang.attachementsHosts' | translate}}
            </mat-panel-title>
        </mat-expansion-panel-header>
        <mat-tab-group>
            <mat-tab *ngFor="let attachementsHosts of attachmentsHostsEnabled; let i=index" [label]="attachementsHosts">
                <ng-container *ngFor="let info of attachmentsHostsConf[attachementsHosts] | keyvalue: originalOrder">
                    <mat-form-field *ngIf="info.key !== 'byDefault'" appearance="outline">
                        <mat-label>{{'lang.' + info.key | translate}}</mat-label>
                        <input matInput [type]="info.key === 'password' ? 'password' : 'text'"
                               [formControl]="attachmentsHostsConf[attachementsHosts][info.key]">
                    </mat-form-field>
                    <mat-slide-toggle style="height:40px;" *ngIf="info.key === 'byDefault'" color="primary"
                                      [formControl]="attachmentsHostsConf[attachementsHosts][info.key]" (change)="changeNextcloudByDefault()">{{'lang.' + info.key | translate}}
                    </mat-slide-toggle> <!-- EDISSYUM - ASY01 Implémentation envoie de Mail sécurisé via Pastell-->
                </ng-container>

                <app-maarch-message [mode]="'info'">
                    <div [innerHTML]="'lang.interconnectionNextcloudTest' | translate"></div>
                    <button mat-raised-button [disabled]="loading" (click)="checkNextcloudConnection()"
                            color="primary" [title]="'lang.startTest' | translate">
                        <mat-icon inline="true" color="basic" class="fas fa-plug" style="margin-bottom: 5px; margin-right: 5px;">
                        </mat-icon>
                        {{'lang.startTest' | translate}}
                    </button>
                </app-maarch-message>
                <app-maarch-message *ngIf="!functions.empty(result)" [mode]="hasError ? 'danger' : 'success'" [content]="result"></app-maarch-message>
            </mat-tab>
        </mat-tab-group>
    </mat-expansion-panel>
    <!-- END EDISSYUM - AMO01 -->

    <!-- EDISSYUM - ASY01 - Implémentation envoie de Mail sécurisé via Pastell - onglet Pastell dans paramètres-->
    <mat-expansion-panel>
        <mat-expansion-panel-header>
            <mat-panel-title class="primary">
                {{'lang.sendSecureEmail' | translate}}
            </mat-panel-title>
        </mat-expansion-panel-header>
        <mat-tab-group>
            <mat-tab *ngFor="let mailSecure of mailSecureEnabled; let i=index" [label]="mailSecure.charAt(0).toUpperCase() + mailSecure.slice(1)">
                <ng-container *ngFor="let info of mailSecureConf[mailSecure] | keyvalue: originalOrder">
                    <mat-slide-toggle style="height:40px; margin-right: 10px" *ngIf="info.key === 'enabled'" color="primary" 
                    [formControl]="mailSecureConf[mailSecure][info.key]" (change)="changePastellByActif()">
                        {{'lang.' + info.key | translate }}
                    </mat-slide-toggle>

                    <mat-form-field *ngIf="info.key !== 'byDefault' && info.key !== 'enabled'" appearance="outline">
                        <mat-label>{{'lang.' + info.key | translate}}</mat-label>
                        <input matInput [type]="info.key === 'password' ? 'password' : 'text'"
                            [formControl]="mailSecureConf[mailSecure][info.key]" required>
                    </mat-form-field>

                    <mat-slide-toggle style="height:40px;" *ngIf="info.key === 'byDefault'" color="primary"
                        [formControl]="mailSecureConf[mailSecure][info.key]" [disabled]="!enableDefaultActif" (change)="changePastellByDefault()">{{'lang.' + info.key | translate}}
                    </mat-slide-toggle>
                </ng-container>

                <app-maarch-message [mode]="'info'">
                    <div [innerHTML]="'lang.pastellConnectionTest' | translate"></div>
                    <button mat-raised-button [disabled]="msLoadingEmail" (click)="checkPastellConnection()" color="primary"
                        [title]="'lang.startTest' | translate">
                        <mat-icon inline="true" color="basic" class="fas fa-plug"
                            style="margin-bottom: 5px; margin-right: 5px;">
                        </mat-icon>
                        {{'lang.startTest' | translate}}
                    </button>
                </app-maarch-message>
                <app-maarch-message *ngIf="!functions.empty(msResult)" [mode]="msHasErrorEmail ? 'danger' : 'success'"
                    [content]="msResult"></app-maarch-message>
            </mat-tab>
        </mat-tab-group>
    </mat-expansion-panel>
    <!-- END EDISSYUM - ASY01 -->

</mat-accordion>
